#include "common.h"
#include "layout.h"

void check_layout (int dim, layout l) {
  if (dim != 2)
    error ("check_layout", "dimension != 2 unsupported");
  switch (l){
  case LAYOUT_C:
  case LAYOUT_FORTRAN:
    break;
  default:
    error ("check_layout", "unknown layout");
  }
}

void layout_to_ob (pio_buffer *ob, layout l)
{
  switch (l) {
  case LAYOUT_C:
    buf_add_char (ob, 'C');
    break;
  case LAYOUT_FORTRAN:
    buf_add_char (ob, 'F');
    break;
  default:
    error ("layout_to_ob", "unknown layout");
  }
}

layout layout_of_ib (pio_input_buffer *ib) {
  char c;
  ibuf_scanf (ib, 1, "%c", &c);
  switch (c) {
  case 'C': return LAYOUT_C;
  case 'F': return LAYOUT_FORTRAN;
  default:
    failwithf (__FILE__ "::layout_of_ib: unexpected char %c", c); /* throw */
  }
}
